<?php
/**
 * Controller to handling get instagram images
 *
 * @package wp-image-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPImpr_Ajax_Getinstagram' ))
{

  require IPIMPR_LIB . "Instagram/Instagram.php";

  class IPImpr_Ajax_Getinstagram
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $status  = 0;
      $photos  = array();

      //
      //Get key
      $apiKey = get_option( '__ipimpr_instagram_api_key' );

      if ( ! empty( $_POST['query'] ) && $apiKey )
      {
        $keyword = apply_filters( 'single_post_title', $_POST['query'] );

        try {
          $instagram = new Instagram( $apiKey );
          $insdata   = $instagram->getTagMedia($keyword, 80);
          if ( ! empty( $insdata->data ))
          {
            foreach( $insdata->data as $insphoto )
            {
              if ( $insphoto->type != 'image' ) {
                continue;
              }
              $photos[] = $insphoto;
            }
          }
          $status = 1;
        }
        catch (Exception $e) {
          $photos = array();
        }
      }

      echo json_encode( array(
        'status'    => $status,
        'photos'    => $photos
      ) );
      die();
    }
  }
}
