<?php
if ( ! class_exists( 'IPImpr_Db' )) {

    /**
     * Class for manage plugin database
     */
    class IPImpr_Db
    {
        /**
         * Take db version
         *
         * @var string
         */
        public $version = '1.0';

        /**
         * Class construct
         *
         * @return void
         */
        public function __construct()
        {
            global $ipsurv_db_version;
            $ipsurv_db_version = $this->version;
        }

        /**
         * Table review
         *
         * @return string
         */
        public function queryReview()
        {
            global $wpdb;

            $table_name = $wpdb->prefix . 'ipimpr_review';
            $sql = "CREATE TABLE $table_name (
              rev_id                  int(11)             NOT NULL AUTO_INCREMENT,
              post_id                 int(11)             NOT NULL,
              rev_created             datetime            NOT NULL,
              rev_slug                varchar(255)        NOT NULL,
              rev_title               varchar(255)        NOT NULL,
              rev_content             text                NOT NULL,
              rev_user_name           varchar(255)        NOT NULL,
              rev_user_email          varchar(255)        NOT NULL,
              rev_user_url            varchar(255)        NOT NULL,
              rev_user_job            varchar(255)        NOT NULL,
              rev_user_photo          text                NOT NULL,
              rev_rating              smallint  DEFAULT 0 NOT NULL,
              rev_status              smallint  DEFAULT 0 NOT NULL,
          PRIMARY KEY  review_id (rev_id)
          KEY post_id (post_id)
            );";

            return $sql;
        }

        /**
         * Database query
         *
         * @return string
         */
        public function query()
        {
            $sql  = '';
            $sql .= $this->queryReview();
            $sql .= $this->queryAnswer();
            $sql .= $this->queryChoice();
            $sql .= $this->queryChoiceAnswer();
            return $sql;
        }

        /**
         * install
         *
         * @return void
         */
        public function install()
        {
            global $wpdb, $ipsurv_db_version;
            $installed_ver = get_option( "ipsurv_db_version" );

            if( ! $installed_ver || ( $installed_ver != $ipsurv_db_version ) ) {

                $sql = $this->query();

                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                dbDelta( $sql );

                update_option( "ipsurv_db_version", $ipsurv_db_version );
            }
        }

        /**
         * update
         *
         * @return void
         */
        public function update()
        {
            global $ipsurv_db_version;
            if ( get_site_option( 'ipsurv_db_version' ) != $ipsurv_db_version ) {
                $this->install();
            }
        }
    }

}
?>
