<?php
/**
 * Controller to handling saving image data
 *
 * @package wp-image-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPImpr_Ajax_Saveimagedata' ))
{
  class IPImpr_Ajax_Saveimagedata
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $status   = 0;
      $message  = __( 'Failed to save image data', IPIMPR_SLUG );

      if ( ! empty( $_POST['attachment_id'] ) )
      {
        //Insert attachment
        $attData = array(
          'ID' => absint( $_POST['attachment_id'] )
        );
        if ( ! empty( $_POST['title'] ) && $_POST['title'] != '-' ) {
          $attData['post_title'] = apply_filters( 'single_post_title', $_POST['title']  );
        }
        if ( ! empty( $_POST['caption'] ) && $_POST['caption'] != '-' ) {
          $attData['post_excerpt'] = apply_filters( 'single_post_title', $_POST['caption']  );
        }
        if ( ! empty( $_POST['desc'] ) && $_POST['desc'] != '-' ) {
          $attData['post_content'] = $_POST['desc'];
        }
        wp_update_post( $attData );

        if ( ! empty( $_POST['alt'] ) && $_POST['alt'] != '-' ) {
          $alt = apply_filters( 'single_post_title', $_POST['alt']  );
          update_post_meta( $attach_id, '_wp_attachment_image_alt', $alt );
        }

        $status   = 1;
        $message  = __( 'Successfully saved image data.', IPIMPR_SLUG );
      }

      echo json_encode( array(
        'status'    => $status,
        'message'   => $message
      ) );
      die();
    }

  }
}
